#pragma once

#include "HandleBase.h"

class CHandleSprites : public CHandleBase
{
public:

    CHandleSprites(CFileTree* lpTree,CSplitterWnd* lpSplitter) : CHandleBase(lpTree,lpSplitter) { }

    DWORD   dwGetDataType() { return 10; }

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void    vReleasePopupupMenu();
    virtual void    vHandleMenu(WORD wMenuId);

    virtual void    vExpandTree(bool boAlreadyExpanded);

protected:

    virtual void vCreatePane();

    void         vExportAsSPR();
    void         vImportFrom3DS();
    void         vImportFromSPR();

private:

    CMenu*      m_lpMenu;

    friend class CHandleSprite;
};
