#include "stdafx.h"

#include "Resource.h"
#include "FileTree.h"
#include "HandleRootTR4.h"
#include "HandleEmpty.h"
#include "HandleTile.h"
#include "EditEmpty.h"


void    CHandleRootTR4::vCreatePane()
{
    m_lpSplitterWnd->CreateView(0,1,RUNTIME_CLASS(CEditEmpty),CSize(1,1),NULL);
}


void    CHandleRootTR4::vExpandTree(bool boAlreadyExpanded)
{
    if(boAlreadyExpanded) return;

    CString             s;
    HTREEITEM           h;
    CTRFile*            lpTRFile    = m_lpTree->lpGetTRFile();
    TR4_FILE_STRUCT&    trFile      = lpTRFile->GetTRFile().tr4File;

    s.Format(_T("Texture 1"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpSplitterWnd,&trFile.Texture1,TILE_256xY_32))

    s.Format(_T("Texture 2"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpSplitterWnd,&trFile.Texture2,TILE_256xY_16))

    s.Format(_T("Texture 3"));
    INSERT(m_lpTree,h,m_hParentItem,new CHandleTile(m_lpTree,m_lpSplitterWnd,&trFile.Texture3,TILE_256xY_32))
}

